<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: new_infusion_admin.php
| Author: INSERT NAME HERE
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."bad_login/infusion_db.php";

if (!checkrights("BAD") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."bad_login/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."bad_login/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."bad_login/locale/English.php";
}


if (isset($_GET['delete']) && is_numeric($_GET['delete'])){
	$query = dbquery("DELETE FROM ".$db_prefix."bad_login WHERE login_id='".$_GET['delete']."'");
	redirect(FUSION_SELF.$aidlink);
} elseif(isset($_GET['lookup']) && is_numeric($_GET['lookup'])){
	$query = dbquery("SELECT * FROM ".$db_prefix."users WHERE user_ip='".$_GET['lookup']."'");
	if(dbrows($query) != 0) {
		opentable(dbrows($query)." ".$locale['BAD_membersfound']);
		$counter = 0;
		while ($data = dbarray($query)){
			echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a>";
			echo "<br />".$data['user_ip'];
			$counter++;
			if(dbrows($query) >= 2 && $counter <= dbrows($query)) echo "<br /><br />";
		}
	} else {
		opentable($locale['BAD_no_results']);
		echo $locale['BAD_unknown_ip'];
	}
	closetable();
} else {
	$result = dbquery("SELECT * FROM ".$db_prefix."bad_login");
	opentable($locale['BAD_bad_login']);
	if(dbrows($result) != 0){
		echo "<center><table width='500px'><tr><td>";
		echo "<span style='font-weight:bold'>".$locale['BAD_ipaddress']."</span></td><td><span style='font-weight:bold'>".$locale['BAD_time']."</span></td><td><span style='font-weight:bold'>".$locale['BAD_username']."</span></td><td><span style='font-weight:bold'>".$locale['BAD_options']."</span></td></tr>";
		while($data = dbarray($result)){
			echo "<tr><td><a href='".FUSION_SELF."?lookup=".$data['login_ip']."'>";
			echo $data['login_ip']."</a></td>";
			echo "<td>".ucwords(showdate("%d.%m.%Y %H:%M:%S", $data['login_time']))."</td>";
			echo "<td>".$data['login_user']."</td>";
			echo "<td><a href='".FUSION_SELF.$aidlink."&delete=".$data['login_id']."'>".$locale['BAD_delete']."</a><td></tr>";
		}
		echo "</table></center>";
	} else {
		echo "<center>".$locale['BAD_no_bad_logins']."</center>";
	}
	closetable();
}

echo "</td>\n";

require_once THEMES."templates/footer.php";
?>