<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: INSERT NAME HERE
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."bad_login/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."bad_login/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."bad_login/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."bad_login/locale/English.php";
}

// Infusion general information
$inf_title = $locale['BAD_title'];
$inf_description = $locale['BAD_desc'];
$inf_version = $locale['BAD_version'];
$inf_developer = $locale['BAD_developer'];
$inf_email = $locale['BAD_email'];
$inf_weburl = $locale['BAD_weburl'];

$inf_folder = "bad_login"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = DB_INFUSION_TABLE." (
login_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
login_ip VARCHAR(200) DEFAULT '' NOT NULL,
login_time VARCHAR(200) DEFAULT '' NOT NULL,
login_user VARCHAR(200) NOT NULL,
PRIMARY KEY (login_id)
) TYPE=MyISAM;";

$inf_adminpanel[1] = array(
	"title" => $locale['BAD_admin1'],
	"image" => "image.gif",
	"panel" => "admin.php",
	"rights" => "BAD"
);
?>